>From 11a85d67e65326065bc0648f0750fe14925b2a03 Mon Sep 17 00:00:00 2001
From: Kailang Yang <kailang@realtek.com>
Date: Thu, 28 Nov 2013 13:55:26 +0800
Subject: [PATCH] ALSA: hda/realtek - Remove depop delay for suspend and resume

Remove common alc_suspend for alc_eapd_shutup and alc_resume delay.
We could add the depop functions like ALC283.

Signed-off-by: Kailang Yang <kailang@realtek.com>

diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
index c4ad9d1..fbb32d1 100644
--- a/sound/pci/hda/patch_realtek.c
+++ b/sound/pci/hda/patch_realtek.c
@@ -281,7 +281,6 @@ static void alc_auto_setup_eapd(struct hda_codec *codec, bool on)
 static void alc_eapd_shutup(struct hda_codec *codec)
 {
 	alc_auto_setup_eapd(codec, false);
-	msleep(200);
 	snd_hda_shutup_pins(codec);
 }
 
@@ -863,7 +862,6 @@ static int alc_suspend(struct hda_codec *codec)
 #ifdef CONFIG_PM
 static int alc_resume(struct hda_codec *codec)
 {
-	msleep(150); /* to avoid pop noise */
 	codec->patch_ops.init(codec);
 	snd_hda_codec_resume_amp(codec);
 	snd_hda_codec_resume_cache(codec);
